# DataExchange
TKSTEPBase
StepRepr

# StepRepr_MappedItem Class Reference

`#include <StepRepr_MappedItem.hxx>`

Inheritance diagram for StepRepr_MappedItem:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_MappedItem ()
| Returns a MappedItem .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepRepr_RepresentationMap)&aMappingSource, const Handle(StepRepr_RepresentationItem)&aMappingTarget)
Standard_EXPORT void | SetMappingSource (const Handle(StepRepr_RepresentationMap)&aMappingSource)
Standard_EXPORT Handle_StepRepr_RepresentationMap | MappingSource () const
Standard_EXPORT void | SetMappingTarget (const Handle(StepRepr_RepresentationItem)&aMappingTarget)
Standard_EXPORT Handle_StepRepr_RepresentationItem | MappingTarget () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepRepr_RepresentationMap | mappingSource
Handle_StepRepr_RepresentationItem | mappingTarget

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_MappedItem::StepRepr_MappedItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_MappedItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationItem. Reimplemented in StepVisual_AnnotationText, StepVisual_CameraImage, StepVisual_CameraImage2dWithScale, StepVisual_CameraImage3dWithScale, and StepVisual_TemplateInstance.

virtual Standard_EXPORT void StepRepr_MappedItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepRepr_RepresentationMap)& | aMappingSource,
|  | const Handle(StepRepr_RepresentationItem)& | aMappingTarget
| ) | `[virtual]`

virtual Standard_EXPORT void StepRepr_MappedItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepRepr_RepresentationMap StepRepr_MappedItem::MappingSource | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_RepresentationItem StepRepr_MappedItem::MappingTarget | ( |  | ) | const

Standard_EXPORT void StepRepr_MappedItem::SetMappingSource | ( | const Handle(StepRepr_RepresentationMap)& | aMappingSource | ) |

Standard_EXPORT void StepRepr_MappedItem::SetMappingTarget | ( | const Handle(StepRepr_RepresentationItem)& | aMappingTarget | ) |

## Field Documentation

Handle_StepRepr_RepresentationMap StepRepr_MappedItem::mappingSource `[private]`

Handle_StepRepr_RepresentationItem StepRepr_MappedItem::mappingTarget `[private]`

The documentation for this class was generated from the following file:

- StepRepr_MappedItem.hxx